#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import sys
import chdata
import timerec
code=sys.getdefaultencoding()
if code != 'utf-8':
    print "The default encoding of python is not utf-8."
    print "Using multibyte character in not utf-8 environment cause many errors."
    print "please make /usr/lib/python(version)/site-package/sitecustomize.py and"
    print "write \n import sys\n sys.setdefaultencoding('utf-8')\n in it."
    print "then please retry this install.py."
    print "thank you."
    sys.exit(0)
chdata
timerec.task()